# DtoAuthStartResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**AuthUrl** | Pointer to **string** |  | [optional] 

## Methods

### NewDtoAuthStartResponse

`func NewDtoAuthStartResponse() *DtoAuthStartResponse`

NewDtoAuthStartResponse instantiates a new DtoAuthStartResponse object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewDtoAuthStartResponseWithDefaults

`func NewDtoAuthStartResponseWithDefaults() *DtoAuthStartResponse`

NewDtoAuthStartResponseWithDefaults instantiates a new DtoAuthStartResponse object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetAuthUrl

`func (o *DtoAuthStartResponse) GetAuthUrl() string`

GetAuthUrl returns the AuthUrl field if non-nil, zero value otherwise.

### GetAuthUrlOk

`func (o *DtoAuthStartResponse) GetAuthUrlOk() (*string, bool)`

GetAuthUrlOk returns a tuple with the AuthUrl field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetAuthUrl

`func (o *DtoAuthStartResponse) SetAuthUrl(v string)`

SetAuthUrl sets AuthUrl field to given value.

### HasAuthUrl

`func (o *DtoAuthStartResponse) HasAuthUrl() bool`

HasAuthUrl returns a boolean if a field has been set.


[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


